﻿
footer {
    background-image: url('../media/nuevalineaAA/footer.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: top center;
}
body {
    background-color: #c5e9e3;
}
/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
.header {
    background-color: #c5e9e3;
    padding: 1%;
    border: 1px solid red !important;

}

/* Estilos generales del menú de navegación */
.nav-menu {
    background-color: #001A3F;
    font-size: 13px;
}

.nav-item a.nav-link {
    color: #fff;
    transition: color 0.3s;
}

    .nav-item a.nav-link:hover {
        color: #8884E4 !important;
    }
/* Cambiar el color del texto del enlace cuando la lista desplegable está abierta */
.nav-item.dropdown.show a.nav-link, .nav-item.dropdown.show .dropdown-toggle::after {
    color: #8884E4;
}

.nav-item.dropdown:hover .dropdown-toggle::after {
    color: #8884E4;
}


/* Estilos del menú desplegable */
/*.Dropdown-General {
    background-color: #001A3f;
}*/

/*.dropdown-item {
    color: #fff !important;
}*/

    .dropdown-item:hover {
        background-color: #8884E4;
    }






.btn-notificaciones {
    background-color: white;
    border-radius: 50%;
}

.DivIdiomas {
    margin-left: 15px;
    width: 45px !important;
    height: 45px !important;
    color: white;
    border-radius: 100% !important;
    padding: 7.2px 8px 0px 8px;
    white-space: nowrap;
    transition: 0.3s;
    font-size: 14px;
    display: inline-block;
    border: 2px solid #fff;
    font-weight: 600;
    background-color: white;
}

.btn-Idiomas {
    background-color: #001A3F;
    border-radius: 5px;
    width: 26px !important;
    height: 24px !important;
    color: white;
    margin: 15%;
    font-size: 8px;
    margin-left:10px;
    margin-top:8px;
}

    .btn-Idiomas::after {
        content: '';
        position: absolute;
        bottom: -7px;
        left: 80%;
        margin-left: -15px;
        border-left: 5px solid transparent;
        border-right: 5px solid transparent;
        border-top: 10px solid #001A3F;
        transform: rotate(20deg);
    }

.navi-text {
    font-size: 12px;
}

.ImagenPerfil {
    width: 44.5px;
    height: 44.5px;
    border-radius: 50%;
    position: relative;
    left: 10px;
}

.InformacionPerfil {
    padding: 5px 80px 10px 18px;
    border-radius: 100px;
    background-color: #FFBC54;
    height: 44.5px;
    width: 308px !important;
    height: 50px !important;
}

    .InformacionPerfil span {
        display: block;
        color: black;
        text-align:left;
    }

.Rol {
    position: relative;
 
    top: -5px;
}
#sidebar {
    list-style: none;
}

   
      



/*Menu Lateral  modulo*/
.hamburger-button {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    outline: none;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 20px;
    margin-top:10px;
    margin-left:10px;
}

.bar {
    width: 100%;
    height: 3px;
    background-color: #fff;
    transition: 0.4s;
    pointer-events: none;
}

    .bar:nth-child(2) {
        margin: 4px 0;
    }

.hamburger-button.active .bar:nth-child(1) {
    transform: rotate(-47deg) translate(-5px, 5px);
}

.hamburger-button.active .bar:nth-child(2) {
    opacity: 0;
}

.hamburger-button.active .bar:nth-child(3) {
    position:relative;
    top:-3px;
    transform: rotate(47deg) translate(-5px, -5px);
}
.sidebarMenuLateral > .header-logo {
    text-align: center;
}
#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.1);
    z-index: 999;
    display: none;
}


@media screen and (max-width: 730px) {
    .navbar{
        display: none !important;
    }

    .sidebarMenuLateral {
        display: none;
    }

    #sidebar-toggle {
        position: relative;
        left: 0;
        transition: left 0.3s cubic-bezier(0, 0, 1, 1);
    }

       

    .sidebarMenuLateral {
        width: 180px;
        height: 100%;
        position: fixed;
        top: 0;
        left: -180px;
        transition: left 0.3s cubic-bezier(0, 0, 1, 1), background-color 0s;
        z-index: 9999;
        display: block;
        background-color: #fff;
    }

    .sidebarMenuLateral.active {
          
            background-color: #fff; 
            left: 0;
     }
    .nav-item a.nav-link {
        color: darkslateblue;
        transition: color 0.3s;
    }
    .dropdown-item {
        white-space: normal;

    }
    
  }

/*Estilos cuando la pantalla sea muy pequeña*/
@media (max-width: 400px) {
    .btn.btn-icon{
        width:35px;
        height:35px;
    }
        .btn.btn-icon.btn-lg, .btn-group-lg > .btn.btn-icon {
            width: 35px;
            height: 35px;
        }
    .DivIdiomas {
        width: 35px;
        height: 35px;
    }
    .btn-Idiomas {
        top:1px;
        width: 25px !important;
        height: 20px !important;
       
    }
    .topbar{
        margin-top:3px;
    }
    .btn-Idiomas::after {
        bottom: -5px;
        left: 70%;
    }
    .ImagenPerfil {
        width: 35px;
        height: 35px;
    }
}
    /* Estilos para ocultar y mostrar elementos según el ancho de la pantalla */

    @media screen and (min-width: 730px) {
        .navbar {
            display: block;
        }

        .sidebarMenuLateral {
            transition: left 0.3s ease, right 0.3s ease, bottom 0.3s ease, top 0.3s ease;
            display: none;
        }

        .hamburger-button {
            display: none;
        }
    }
    /*Menu Modulo ---------------------------------------*/
    /*.divOculto {
    display: none;
}

.DivMenuVisible {
    animation: fade-in .5s forwards;
}

.DivMenuNotVisible {
    animation: fade-out .5s forwards;
}*/

    @keyframes fade-in {
        0% {
            opacity: 0;
        }

        25% {
            opacity: 0.25;
        }

        50% {
            opacity: 0.5;
        }

        75% {
            opacity: 0.75;
        }

        100% {
            display: block;
            opacity: 1;
        }
    }

    @keyframes fade-out {
        to {
            display: none;
            opacity: 0;
        }
    }

    .CartaMenu {
        background-color: #F9FAFB;
    }

    .iconMenuModulo {
        width:70px !important;
        height:70px !important;
    }
.text-2-lines {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden; /* Oculta el texto que excede */
    text-overflow: ellipsis; /* Muestra los tres puntos si hay exceso */
    line-height: 1.5em; /* Altura de cada línea */
    max-height: 3em; /* Altura total: 2 líneas x 1.5em */
    width:30px 
}
.btnMenuModulos {
    background-color: #398AFF !important;
    border-color: white !important;
    margin: 0px 15% 10% 15%;
    transition: background-color 0.3s ease, color 0.3s ease;
    width: 130px !important;
}

        .btnMenuModulos:hover {
            background-color: #01275e !important;
        }

.TModulo {
    color: black !important;
    font-weight: bolder !important;
    text-align: center !important;
    font-size: 20px !important;
}
.ModulosA {
    font-family: Poppins, Helvetica, "sans-serif";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #3F4254;
   
}
.ModulosA:hover {
    color: #3F4254;
}

/*.Div_Modulos .card-custom > p {
    padding-left: 5% !important;
    padding-right: 5% !important;
}*/
.CardAnimacion .card-custom {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

    .CardAnimacion .card-custom:hover {
        transform: scale(1.05);
        box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
        transition: transform 0.3s ease, box-shadow 0.3s ease;
        cursor: pointer;
    }
.Div_Modulos .card-custom {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    padding-left: 5% !important;
    padding-right: 5% !important;
}

        .Div_Modulos .card-custom:hover {
            transform: scale(1.05);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            cursor:pointer;
        }

    /*Esto es para el menu de mis cursos*/
    .Miscursos .card-custom {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
        padding: 0;
    }

        .Miscursos .card-custom:hover {
            transform: scale(1.05);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            cursor: pointer;
        }

    #ModuloCursosDetalles .nav-link {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }

        #ModuloCursosDetalles .nav-link:hover {
            transform: scale(1.05);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            cursor: pointer;
        }

    /*Esto es para el index de roles*/
    /*#Roles .card-custom {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }

        #Roles .card-custom:hover {
            transform: scale(1.05);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            cursor: pointer;
        }*/
    /*fin */

    /*Esto es para el index de AulasVirtuales Animaciones de hover*/
    #AulasVirtuales .card-custom {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
        padding: 0;
    }

        #AulasVirtuales .card-custom:hover {
            transform: scale(1.05);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            cursor: pointer;
        }


    /*fin--------------*/

    /*Esto es para el index de cursos Animaciones de hover*/
    #Cursos .card-custom {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
        padding: 0;
    }

        #Cursos .card-custom:hover {
            transform: scale(1.05);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            cursor: pointer;
        }


    /*fin--------------*/
    /*Esto es para el index de cursos plataformas Animaciones de hover*/
    #CursosPlataformas .card-custom {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }

        #CursosPlataformas .card-custom:hover {
            transform: scale(1.05);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            cursor: pointer;
        }


    /*fin--------------*/
    /*Esto es para el index de bitacoras Animaciones de hover*/
    #instituciones .card-custom {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }

        #instituciones .card-custom:hover {
            transform: scale(1.05);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            cursor: pointer;
        }


    /*fin--------------*/
    /*Estilo calendarios*/
.fc-unthemed .fc-toolbar .fc-button .fc-icon {
    font-size: 1.3rem;
}
.fc-button .fc-icon {
   color:#fff !important;
   width:10px !important
}
.fc-button {
    background-color: #2C3E50 !important;
    border-color: #2C3E50 !important;
}
    .fc-button:focus {
        background-color: #1A252F !important;
        border-color: #1A252F !important;
    }

.fc-day-header {
    color: #8884E4 !important;
    font-size: 20px !important;
}


.fc-day {
    background: #FFF !important;
    border-color: #DDDDDD !important;
}
.fc-unthemed .fc-disabled-day {
    background-color:gray !important;
    opacity: 0.3;
}
#calendar-container {
    width: 200px;
    height: 400px;
    overflow: hidden;
}

    .fc-col-header-cell-cushion {
        color: #8884E4 !important;
        font-size: 25px;
    }


    #ModuloInicio {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 1;
        z-index: 90;
        text-align: center;
        margin: 5px 0px 100px 0px;
        background-color: #F9FAFB !important;
    }

    #ModuloCalendario {
        width: 99%;



        z-index: 92;
    }
    /*#tab-3-div, #tab-4-div {
    position: absolute;
    width: 95%;
    top: -2000%;
}

*/

    #ModuloCursosDetalles > .nav-item {
        margin: 0px;
    }

    .Calendario-Inicio-Oculto {
        position: absolute;
        top: -500px !important;
    }

    .CalendarioOculto {
        opacity: 0;
        pointer-events: none;
        position: absolute;
        top: -500px !important;
    }

    .DivCalendario {
        overflow-x: auto;
        width: 80%;
        padding-top: 20px;
    }

    @media (max-width: 575px) {

        .DivCalendario {
            overflow-x: auto;
            width: auto;
        }
    }

    .Positionrelative {
        position: relative !important;
    }

    /*Estilos para el dashboard de Estudiante*/
    #PlanEstudioProgress {
        width: 88%;
        height: 30px;
        border-radius: 20px;
        background-color: #DADADA;
    }

    #PlanEstudioProgressData {
        border-radius: 20px;
        background-color: #797CE3;
    }

        #PlanEstudioProgressData::before {
            content: attr(value) '%';
            color: black;
            position: absolute;
            right: 1%;
            transform: translateY(-50%);
            font-size: 14px;
        }

    .InfProgressEstu {
        padding-left: 18%;
        padding-right: 23%;
        padding-top: 4%;
    }

    .TituloDashEstu {
        color: #FFC368 !important;
        font-size: 18px !important;
    }
    .TituloDashInstitucion {
        color: #FFC368 !important;
    }

    .circle-div {
        width: 150px;
        height: 150px;
        border-radius: 50%;
        border: 3px solid #007bff;
        text-align: center;
        line-height: 150px;
        font-size: 20px;
    }

    #myChart {
        border-top-left-radius: 10px; /* Ajusta estos valores para redondear las esquinas */
        border-top-right-radius: 10px; /* Ajusta estos valores para redondear las esquinas */
    }


    /*Footer layout*/
    .social-linkss a img {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
        border-radius: 50%;
    }

    .social-linkss a svg {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
        border-radius: 50%;
    }

        .social-linkss a img:hover, .social-linkss a svg:hover {
            transform: scale(1.05);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            border-radius: 50%;
        }
.footer li {
    color: white;
}

@media (min-width: 768px) {
    .TextFoot {
        padding-top: 32px;
    }

    
}
    /*Hover de svg de botones de exportar y estilo --------------*/
    button.btn-primary:hover .svg-icon svg path {
        fill: #0959B3 !important;
    }

    a .btn-primary:hover .svg-icon svg path {
        fill: #0959B3 !important;
    }


    /*TVista---------------*/
    .Tvista {
        color: #8884E4;
        font-weight: bolder;
    }

    /*fin tvista*/



.Icon_redondeado {
    background-color: #ffff;
    width: 35px;
    height: 35px;
    border-radius: 100%;
    overflow: hidden;
    justify-content: center !important;
    padding-inline: 0px;
}


.LogoHome {
    width: 70px;
    height: 50px;
    margin-bottom: 2px;
}

.Ul_L {
    display: flex;
    margin-left: -103px !important;
}

    .Ul_L > li > a {
        padding-top: 15px;
        margin-right: 3px;
        font-size: 17px !important;
        font-family: Poppins, Helvetica, "sans-serif" !important;
        font-weight: 100 !important;
    }

.ContenedorBody {
    position: relative;
    bottom: 26px !important;
}
.btnMobile{
    opacity:0 !important;
 position:relative;
 right:55px
}

@media (min-width: 300px) and (max-width:599px) {
    .ContenedorBody {
        position: relative;
        bottom:70px !important;
    }
    .btnMobile {
        opacity: 1 !important;
    }
}

@media (min-width: 600px) and (max-width:999px) {
    .ContenedorBody {
        position: relative;
        bottom: 65px !important;
    }

    .btnMobile {
        position: relative;
        opacity: 1 !important;
    }
}
@media (min-width: 1000px) and (max-width:50000px) {

    .UserAZulAAColapse {
        display: none !important;
    }
    
}
@media (min-width: 1441px) and (max-width:1600px) {

    .LogoNabAA {
        position: absolute !important;
        right: 83% !important;
    }
}
@media (min-width: 1601px) and (max-width:2000px) {

    .LogoNabAA {
        position: absolute !important;
        right: 84% !important;
    }
}
@media (min-width: 2001px) and (max-width:2500px) {

    .LogoNabAA {
        position: absolute !important;
        right: 87% !important;
    }
}
@media (min-width: 1390px) and (max-width:1440px) {

    .LogoNabAA {
        position: absolute !important;
        right: 82% !important;
    }
}
@media (min-width: 1318px) and (max-width:1389px) {

    .LogoNabAA {
        position: absolute !important;
        right: 81% !important;
    }
}
@media (min-width: 1200px) and (max-width:1317px) {

    .LogoNabAA {
        position: absolute !important;
        right: 79% !important;
    }
}
@media (min-width: 1000px) and (max-width:1199px) {

    .LogoNabAA {
        position: absolute !important;
        right: 78% !important;
    }
}
@media (min-width: 700px) and (max-width:1000px) {
    .LogoNabAA{
        position:absolute !important;
        right:78% !important;
    }
    .UserAZulAAColapse{
     
    }
    .notf {
        position: relative;
        right: 35px !important;
    }
    .DivIdiomas {
        position: relative;
        left: -30px !important;
    }
    .UserAZulAA {
        display: none !important;
    }
}
@media (min-width: 1000px) and (max-width:1104px) {
    .LogoNabAA {
        position: absolute !important;
        right: 74% !important;
    }
    .UserAZulAAColapse {
        display: none !important;
    }
}
@media (min-width: 1000px) and (max-width:1600px) {
    .UserAZulAAColapse {
        display: none !important;
        
    }
}
@media (min-width: 320px) and (max-width:995px) {
    .LogoNabAA {
        display:none !important;
    }
   
}

@media (min-width: 320px) and (max-width:450px) {
    .LogoNabAA {
        position: absolute !important;
        display: none !important;
    }
    .InformacionPerfil {
        display:none !important;
       
    }
    .UserInformationAA {
        display:none !important;
    }
    .UserAZulAAColapse{
       position:relative !important;
      left:0px !important;
    }
    .UserAZulAA {
        position: absolute;
        top: 0px;
        right: 0px;
        width: 200px;
        height: 200px;
        bottom: 0px;
        left: 0px;
    }
    .notf {
        position: relative !important;
        right: 20px !important;

    }

    .DivIdiomas {
        position: relative;
        left: -20px !important;
    }
}
.bg_white {
    color: black !important;
}
.roundeNew{
    border-radius:40px !important;
 
}

.sombreado {
    -webkit-box-shadow: 10px 18px 22px 6px rgba(224,221,224,0.73);
    -moz-box-shadow: 10px 18px 22px 6px rgba(224,221,224,0.73);
    box-shadow: 10px 18px 22px 6px rgba(224,221,224,0.73);
}
.UserAZulAA {
    background-color: white !important;
    border-radius: 100% !important;
    width: 40px;
    height: 40px;
    position: relative;
    right: 25px
}
.UserAZulAAColapse {
    background-color: white !important;
    border-radius: 100% !important;
    width: 40px;
    height: 40px;
    position: relative;
    right: 25px
}
.UserInformationAA {
   
}
.azulBaseBB {
    background-color: #004bd8 !important;
}
.FotoMicrosoft {
    width: 40px;
    height: 40px;
    border-radius: 100%
}
.selectable {
    text-decoration: none;
    color: inherit; 
    display: inline-flex;
    align-items: center;
}

    .selectable svg {
        transition: fill 0.3s ease; 
    }

    .selectable:hover {
        color: #0D51D9;
    }

        .selectable:hover svg {
            fill: #0D51D9;
        }


  .IconStable{
      width:16px !important;
      height:16px !important
  }